local animTickSpeed = 2

function drawMainUI()
    --UFO
    UiPush()     
        UiTranslate(UiCenter(), 125)
        UiAlign("center middle")
        --UFO beam
        UiPush()
            local red = GetFloat("savegame.mod.abductizer.custom.beam.color.r")
            local green = GetFloat("savegame.mod.abductizer.custom.beam.color.g")
            local blue = GetFloat("savegame.mod.abductizer.custom.beam.color.b")

            UiTranslate(0, GetTime()*100 % 64 + 64)
            UiColor(red, green, blue)
            UiImage("MOD/ui/toolUI/beam.png")
        UiPop()
        --Black invisible rects
        UiPush()
            UiTranslate(0, -200)
            UiAlign("center top")
            UiColor(0, 0, 0)
            UiRect(UiWidth(), 250)

            UiTranslate(0, UiHeight())

            UiAlign("center bottom")
            UiRect(UiWidth(), 350)
        UiPop()
        UiImage("MOD/ui/toolUI/ufos/classic/" .. math.floor(GetTime()*animTickSpeed % 2) .. ".png")
    UiPop()
    --Color sliders
    UiPush()
        local sliderWidth = 100
        UiTranslate(UiCenter(), UiHeight()-100)
        UiColor(0, 0, 1)
		colorSlider("b", sliderWidth)
        UiTranslate(0, -100)
        UiColor(0, 1, 0)
		colorSlider("g", sliderWidth)
        UiTranslate(0, -100)
        UiColor(1, 0, 0)
		colorSlider("r", sliderWidth)      
    UiPop()
    --Buttons
    UiPush()
        local borderMargins = -1
        UiButtonHoverColor(0.5, 0.5, 0.5, 1)
        UiTranslate(UiWidth() - borderMargins, borderMargins)
        UiAlign("right top")
        --CLOSE BUTTON
        if UiImageButton("MOD/ui/toolUI/icons/close.png") then
            SetPlayerScreen(0)
        end
    UiPop()
end
function colorSlider(color, width)
    UiPush()
        local sliderWidth = 100
        UiAlign("center middle")
	    UiRect(sliderWidth, 4)
	    UiTranslate(-sliderWidth / 2, -1)
        SetFloat("savegame.mod.abductizer.custom.beam.color." .. color, UiSlider(
            "MOD/ui/toolUI/icons/handle.png", "x", GetFloat("savegame.mod.abductizer.custom.beam.color." .. color) * sliderWidth,
            0, sliderWidth) / sliderWidth)
    UiPop()
end